Bug 170786 - [maintainer update] delete port textproc/py-pyx12
Summary: [maintainer update] delete port textproc/py-pyx12
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-python mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-08-20 16:20 UTC by John Holland
Modified: 2013-07-22 08:10 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description John Holland 2012-08-20 16:20:15 UTC
The port is obsolete.  Future distribution should be done through PyPI.  Please delete the port.
Comment 1 Edwin Groothuis freebsd_committer 2012-08-20 16:20:24 UTC
Responsible Changed
From-To: freebsd-ports-bugs->freebsd-python

freebsd-python@ wants this port PRs (via the GNATS Auto Assign Tool)
Comment 2 Ruslan Makhmatkhanov freebsd_committer 2012-08-26 18:36:24 UTC
State Changed
From-To: open->feedback

Hi John, what the point in removing this port? Why don't you just update 
it to 2.0.0, change port to install with py-setuptools and change 
MASTER_SITES to CHEESESHOP?
Comment 3 dfilter service freebsd_committer 2013-07-22 08:03:28 UTC
Author: rm
Date: Mon Jul 22 07:03:15 2013
New Revision: 323433
URL: http://svnweb.freebsd.org/changeset/ports/323433

Log:
  - reset maintainer
  - trim Makefile header while here
  
  Actually maintainer asked to remove this port, but I see no point
  there, because there is newer version on pypi:
  https://pypi.python.org/pypi/pyx12
  
  so this port just need to be updated and stay here.
  
  PR:		170786
  Submitted by:	John Holland <jholland@kazoocmh.org> (maintainer)

Modified:
  head/textproc/py-pyx12/Makefile

Modified: head/textproc/py-pyx12/Makefile
==============================================================================
--- head/textproc/py-pyx12/Makefile	Mon Jul 22 06:55:34 2013	(r323432)
+++ head/textproc/py-pyx12/Makefile	Mon Jul 22 07:03:15 2013	(r323433)
@@ -1,9 +1,5 @@
-# New ports collection makefile for:	pyx12
-# Date created:		29 Jan 2004
-# Whom:			john@zoner.org
-#
+# Created by: john@zoner.org
 # $FreeBSD$
-#
 
 PORTNAME=	pyx12
 PORTVERSION=	1.5.0
@@ -12,7 +8,7 @@ MASTER_SITES=	SF
 PKGNAMEPREFIX=	${PYTHON_PKGNAMEPREFIX}
 DISTNAME=	pyx12-${PORTVERSION:S/.b/b/}
 
-MAINTAINER=	jholland@kazoocmh.org
+MAINTAINER=	ports@FreeBSD.org
 COMMENT=	Validate and convert HIPAA X12 documents
 
 BUILD_DEPENDS=	${PYTHON_SITELIBDIR}/libxml2.py:${PORTSDIR}/textproc/py-libxml2 \
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 4 Ruslan Makhmatkhanov freebsd_committer 2013-07-22 08:04:39 UTC
State Changed
From-To: feedback->closed

John, I decide to not remove this, but rather reset maintainership. 
There is newer version of this port, so it may be useful.